Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Interface IDocumentFilter

All Superinterfaces:
  IFilter

public interface IDocumentFilter
extends IFilter

Filters used for querying Documents.

Method Summary
`DocumentFilterType` | `getFilterType()` Returns the type of document filter.
`DocumentQueryOrder[]` | `getQueryOrders()` Returns the `DocumentQueryOrder` which specifies the order the results will be returned in.
`void` | `setFilterType(DocumentFilterType filterType)` Sets the type of document filter.
`void` | `setQueryOrders(DocumentQueryOrder[] queryOrders)` Sets the `DocumentQueryOrder` for the rows to return.

Methods inherited from interface com.plumtree.remote.prc.collaboration.query.IFilter
`getMaximumResults, isRestoreSecurity, setMaximumResults, setRestoreSecurity`

Method Detail

### getFilterType

    public DocumentFilterType getFilterType()

  Returns the type of document filter.

  Returns:
    the type of document filter.

### getQueryOrders

    public DocumentQueryOrder[] getQueryOrders()

  Returns the `DocumentQueryOrder` which specifies the order the results will be returned in.

  Returns:
    queryField an array of `DocumentQueryOrder`.

### setFilterType

    public void setFilterType(DocumentFilterType filterType)

  Sets the type of document filter.

  Parameters:
    `filterType` - type of document filter. Cannot be `null`.

### setQueryOrders

    public void setQueryOrders(DocumentQueryOrder[] queryOrders)

  Sets the `DocumentQueryOrder` for the rows to return. The rows will be returned ordered as specified by the `DocumentQueryOrder` array.

  Parameters:
    `queryOrders` - an array of `XPDocumentQueryOrder`. Cannot be `null` or zero-length.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.